Z3 |

Public Member Functions | Static Public Member Functions | Data Fields
Status Enum Reference

## Public Member Functions
| Status (int v)
final int | toInt ()

## Static Public Member Functions
static Status | fromInt (int v)

## Data Fields
| UNSATISFIABLE =(-1)
| UNKNOWN =(0)
| SATISFIABLE =(1)

## Detailed Description

Status values.

Definition at line 23 of file Status.java.

## Constructor & Destructor Documentation

## ◆ Status()

Status | ( | int | v | ) |
| inline

Definition at line 36 of file Status.java.

37 {
38 this.intValue = v;
39 }

## Member Function Documentation

## ◆ fromInt()

static Status fromInt | ( | int | v | ) |
| inline static

Definition at line 41 of file Status.java.

42 {
43 for (Status k : values())
44 if (k.intValue == v)
45 return k;
46 return values()[0];
47 }
com.microsoft.z3.Status.Status
Status(int v)
Definition: Status.java:36

## ◆ toInt()

final int toInt | ( |  | ) |
| inline

Definition at line 49 of file Status.java.

50 {
51 return this.intValue;
52 }

## Field Documentation

## ◆ SATISFIABLE

SATISFIABLE =(1)

Definition at line 32 of file Status.java.

Referenced by Optimize.Check(), and Fixedpoint.query().

## ◆ UNKNOWN

UNKNOWN =(0)

Definition at line 29 of file Status.java.

Referenced by Optimize.Check(), and Fixedpoint.query().

## ◆ UNSATISFIABLE

UNSATISFIABLE =(-1)

Definition at line 26 of file Status.java.

Referenced by Optimize.Check(), and Fixedpoint.query().